Bug 861934 - Severe btrfs performance issue (intermittent)
Severe btrfs performance issue (intermittent)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-01 07:58 EDT by Stephen Gallagher
Modified: 2015-05-17 21:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-01 10:01:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-10-01 07:58:23 EDT
Description of problem:
Often throughout the day, I will see spikes of I/O activity accompanied by 100% CPU use of one of 'btrfs-cleaner', 'btrfs-endio-wri' or 'btrfs-transacti'.

This will last anywhere from 5 seconds to upwards of two minutes, during which the rest of the system will be mostly unresponsive.

Version-Release number of selected component (if applicable):
kernel-3.6.0-0.rc7.git1.4.fc18.x86_64 (rebuilt in non-debug mode)

How reproducible:
Happens at least once an hour with no obvious trigger.

Steps to Reproduce:
1. See above
Actual results:
Very poor performance at random intervals.

Expected results:
The filesystem driver should not render the system useless

Additional info:
I rebuilt the kernel in non-debug mode to rule out that the performance issue was caused there.

With guidance, I am willing to perform debugging steps to identify the cause of this issue.

Additional hardware info: I am using an Intel solid-state disk, model SSDSA2MH080G1 (First-generation, no TRIM support).
Comment 1 Josef Bacik 2012-11-01 16:00:50 EDT
sysrq+w when the problem is happening will let me know what's going on and we can go from there.
Comment 2 Stephen Gallagher 2012-11-02 09:05:07 EDT
Is there a trick to getting SysRq to work from Cinnamon? I've tried alt-SysRq-w, ctrl-alt-SysRq-w (on my external keyboard) and the same plus Fn on my laptop keyboard. I've seen no indication that this has done anything except occasionally taking screenshots.
Comment 3 Josef Bacik 2012-11-02 09:14:48 EDT
open a terminal and echo w > /proc/sysrq-trigger.
Comment 4 Dave Jones 2013-05-15 14:57:15 EDT
any progress on this ? still reproducible ?
Comment 5 Josh Boyer 2013-07-01 10:01:53 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.